package ch.unige.solidify.security;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

import org.springframework.security.access.prepost.PreAuthorize;

import ch.unige.solidify.model.RoleApplication;

@Retention(RetentionPolicy.RUNTIME)
@PreAuthorize("hasAnyAuthority('" + RoleApplication.USER + "', '" + RoleApplication.ADMIN
        + "', '" + RoleApplication.TRUSTED_CLIENT + "', '" + RoleApplication.ROOT + "')")
public @interface UserPermissions {
}
